Name:		kst
Version:	2.0.8
Release:	%mkrel 4
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Sciences/Other
Url:		http://kst.kde.org/
Source:		http://downloads.sourceforge.net/kst/Kst-%{version}.tar.xz
Patch0:		kst2.0.8-disable-last-value-option-in-ascii-reader-when-threa.patch
Patch1:		kst-2.0.8-gsl2.patch
Patch2:		kst-qreal.patch
Patch3:		kst-2.0.8-fix-build-against-qt-5.11.0.patch

BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	cmake

%description
kst is a program for looking at data streams. It can plot:
 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams). 
 - data in files which are being updated as data is being logged, in
    which case in can act as a plotter for a chart recorder.
 - much more
Kst supports realtime viewing and manipulation of streaming data.

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/kst2/
%{_datadir}/kst/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor
#--------------------------------------------------------------------

%prep
%setup -q -n Kst-%{version}
%apply_patches

%build
# -Dkst_release=1 is to work around a compile error
%cmake \
  -Wno-dev \
  -Dkst_install_prefix=%{_prefix} \
  -Dkst_install_libdir=%{_lib} \
  -Dkst_rpath=OFF \
  -Dkst_qt5=ON \
  -Dkst_verbose=ON \
  -Dkst_release=ON
%make_build



%install
rm -rf %buildroot
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/*.so \
      %{buildroot}%{_libdir}/*.a \
      %{buildroot}%{_datadir}/applnk/*/* \
      %{buildroot}%{_datadir}/mimelink/application/*.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Geosciences" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Oct 24 2019 tex - 2.0.8-4pclos2019
- rebuild against updates

* Tue Sep 12 2017 bb2 <bb2> - 2.0.8-3pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> - 2.0.8-2pclos2017
- rebuild new gcc

* Wed Jan 04 2017 bb <bb> 2.0.8-1pclos2017
- new version
- build for gsl 2.3

